## libmediaart 1.9.5

=== meson_options.txt ===
option('image_library', type: 'combo', choices: ['auto', 'gdk-pixbuf', 'qt4', 'qt5'],
       description: 'Which image processing backend to use')
option('gtk_doc',
  type: 'boolean',
  value: 'false',
  description: 'Build the API reference (requires gtk-doc)')

## libmediaart 0.4.0

=== debian/changelog ===
libmediaart (0.4.0-1ubuntu2) utopic; urgency=medium

  * debian/tests: run unit-tests as an autopkgtest
  * debian/source/include-binaries: include binary test data missing
    from upstream tarball 
  * debian/rules: add --with gir to ensure dh_girepository is run

 -- Tim Lunn <tim@feathertop.org>  Wed, 17 Sep 2014 09:43:02 +1000

libmediaart (0.4.0-1ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 13:33:01 +0200

libmediaart (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Apr 2014 20:28:48 +0200

libmediaart (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Mar 2014 15:31:46 +0100

libmediaart (0.2.0-1) experimental; urgency=medium

  * Initial release.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Feb 2014 01:34:32 +0100

=== debian/control ===
Source: libmediaart
Section: libs
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               gtk-doc-tools (>= 1.8),
               libglib2.0-dev (>= 2.35.1),
               libgdk-pixbuf2.0-dev (>= 2.12.0),
               libgirepository1.0-dev (>= 1.30.0),
               gobject-introspection (>= 1.30.0)
Standards-Version: 3.9.5
Vcs-Git: git://git.debian.org/git/collab-maint/libmediaart.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libmediaart.git;a=summary
Homepage: https://wiki.gnome.org/MediaArtStorageSpec
XS-Testsuite: autopkgtest

Package: libmediaart-1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: media art extraction and cache management library
 Libmediaart is a library tasked with managing, extracting and handling
 media art caches.
 .
 This package contains the shared library.

Package: libmediaart-1.0-dev
Architecture: any
Section: libdevel
Depends: libmediaart-1.0-0 (= ${binary:Version}),
         gir1.2-mediaart-1.0 (= ${binary:Version}),
         ${misc:Depends},
         libglib2.0-dev,
         libgdk-pixbuf2.0-dev
Suggests: libmediaart-doc
Description: media art extraction and cache management library - development files
 Libmediaart is a library tasked with managing, extracting and handling
 media art caches.
 .
 This package contains the development files.

Package: libmediaart-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: media art extraction and cache management library - documentation
 Libmediaart is a library tasked with managing, extracting and handling
 media art caches.
 .
 This package contains the API documentation.

Package: gir1.2-mediaart-1.0
Architecture: any
Section: introspection
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
Description: GObject introspection data for MediaArt library
 Libmediaart is a library tasked with managing, extracting and handling
 media art caches.
 .
 This package contains introspection data for libmediaart.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev,autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-gdkpixbuf \
		--enable-introspection \
		--disable-qt \
		--disable-nemo \
		--disable-unit-tests

override_dh_install:
	dh_install -X.la --list-missing

## libmediaart 0.7.0

=== debian/changelog ===
libmediaart (0.7.0-2) unstable; urgency=medium

  [ Tim Lunn ]
  * debian/rules: add --with gir to ensure dh_girepository is run
  * debian/tests: run unit-tests as an autopkgtest (Closes: #765008)

  [ Michael Biebl ]
  * Install typelib files into multiarch paths.
  * Mark gir and dev package as Multi-Arch: same.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 01:10:16 +0200

libmediaart (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Add a shlibs file for libmediaart-1.0-0 which generates a tight
    dependency. API and ABI are not stable yet.
  * Ship vala bindings.

 -- Michael Biebl <biebl@debian.org>  Tue, 23 Sep 2014 22:19:25 +0200

libmediaart (0.4.0-2) unstable; urgency=medium

  [ Andreas Barth ]
  * Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #757211)

 -- Michael Biebl <biebl@debian.org>  Tue, 09 Sep 2014 12:54:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
-               autotools-dev,
                dh-autoreconf,
                gtk-doc-tools (>= 1.8),
                libglib2.0-dev (>= 2.35.1),
                libgdk-pixbuf2.0-dev (>= 2.12.0),
                libgirepository1.0-dev (>= 1.30.0),
-               gobject-introspection (>= 1.30.0)
-Standards-Version: 3.9.5
+               gobject-introspection (>= 1.30.0),
+               valac
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/collab-maint/libmediaart.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libmediaart.git;a=summary
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
@@ -31,6 +31,7 @@
 
 Package: libmediaart-1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libmediaart-1.0-0 (= ${binary:Version}),
          gir1.2-mediaart-1.0 (= ${binary:Version}),
@@ -56,6 +57,7 @@
 
 Package: gir1.2-mediaart-1.0
 Architecture: any
+Multi-Arch: same
 Section: introspection
 Depends: ${shlibs:Depends},
          ${misc:Depends},

## libmediaart 1.9.0

=== debian/changelog ===
libmediaart (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 May 2015 17:13:17 +0200

libmediaart (1.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename binary packages for the API version bump from 1.0 to 2.0.
  * Add patch which hides the private symbols from the internal API.
  * Force a rebuild of marshal.[ch].
  * Start shipping a symbols file which replaces the shlibs file.
  * Update Vcs-Browser to use cgit and https and use the canonical Vcs-* URLs.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 May 2015 09:25:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                gobject-introspection (>= 1.30.0),
                valac
 Standards-Version: 3.9.6
-Vcs-Git: git://git.debian.org/git/collab-maint/libmediaart.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libmediaart.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libmediaart.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmediaart.git
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
 XS-Testsuite: autopkgtest
 
-Package: libmediaart-1.0-0
+Package: libmediaart-2.0-0
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -29,12 +29,12 @@
  .
  This package contains the shared library.
 
-Package: libmediaart-1.0-dev
+Package: libmediaart-2.0-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libmediaart-1.0-0 (= ${binary:Version}),
-         gir1.2-mediaart-1.0 (= ${binary:Version}),
+Depends: libmediaart-2.0-0 (= ${binary:Version}),
+         gir1.2-mediaart-2.0 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
          libgdk-pixbuf2.0-dev
@@ -55,7 +55,7 @@
  .
  This package contains the API documentation.
 
-Package: gir1.2-mediaart-1.0
+Package: gir1.2-mediaart-2.0
 Architecture: any
 Multi-Arch: same
 Section: introspection

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-gdkpixbuf \
		--enable-introspection \
		--enable-vala \
		--disable-qt \
		--disable-nemo \
		--disable-unit-tests

override_dh_install:
	dh_install -X.la --list-missing

=== debian/tests/control ===
Tests: unit-tests
Depends: @, @builddeps@, dbus-x11, xauth, xvfb
Restrictions: build-needed

=== debian/watch ===
version=3

https://download.gnome.org/sources/libmediaart/([\d\.]*)/libmediaart-(.*)\.tar\.xz

## libmediaart 1.9.1

=== debian/changelog ===
libmediaart (1.9.1-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Refresh 0001-build-hide-private-symbols.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Mar 2017 07:18:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libmediaart
 Section: libs
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gtk-doc-tools (>= 1.8),

## libmediaart 1.9.4

=== debian/changelog ===
libmediaart (1.9.4-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump debhelper compat level to 11
  * Switch to dh_missing and abort on uninstalled files

 -- Michael Biebl <biebl@debian.org>  Thu, 31 May 2018 02:04:31 +0200

libmediaart (1.9.4-1) unstable; urgency=medium

  * New upstream version 1.9.4
  * Drop debian/patches/0001-extract-Add-missing-config.h-includes.patch,
    merged upstream

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Aug 2017 15:08:16 +0200

libmediaart (1.9.3-1) unstable; urgency=medium

  * New upstream version 1.9.3
  * Drop debian/patches/0001-build-hide-private-symbols.patch, merged upstream
  * Add missing config.h includes.
    This was making the functions defined in extractgeneric.h not really
    exported.
  * Switch debhelper compat level to 10 for automatic dh-autoreconf
  * Drop obsolete --disable-nemo configure switch
  * Run the upstream test suite during the build and not via autopkgtest
  * Bump Standards-Version to 4.0.1

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Aug 2017 21:47:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: libmediaart
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gtk-doc-tools (>= 1.8),
                libglib2.0-dev (>= 2.35.1),
                libgdk-pixbuf2.0-dev (>= 2.12.0),
                libgirepository1.0-dev (>= 1.30.0),
                gobject-introspection (>= 1.30.0),
                valac
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/libmediaart.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libmediaart.git
+Standards-Version: 4.0.1
+Vcs-Git: https://salsa.debian.org/debian/libmediaart.git
+Vcs-Browser: https://salsa.debian.org/debian/libmediaart
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
-XS-Testsuite: autopkgtest
 
 Package: libmediaart-2.0-0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-gtk-doc \
		--enable-gdkpixbuf \
		--enable-introspection \
		--enable-vala \
		--enable-unit-tests \
		--disable-qt

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## libmediaart 1.9.5

=== debian/changelog ===
libmediaart (1.9.5-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:13:21 +0100

libmediaart (1.9.5-2) unstable; urgency=medium

  * debian/rules: fix build option typo (Closes: #998521)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 28 Nov 2021 14:33:43 -0500

libmediaart (1.9.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build with meson
  * debian/libmediaart-2.0-dev.install: Install vala .deps file
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 23 Aug 2021 19:45:37 -0400

libmediaart (1.9.4-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Simon McVittie ]
  * Change Maintainer to GNOME team at maintainer's request
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).
    (Closes: #976032)
  * d/control: Trim trailing whitespace
  * Set debhelper-compat version in Build-Depends
  * Remove Section on libmediaart-2.0-0 that duplicates source
  * d/upstream/metadata: Add
  * d/tests: Add a superficial autopkgtest

 -- Simon McVittie <smcv@debian.org>  Sat, 28 Nov 2020 16:45:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: libmediaart
 Section: libs
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                gtk-doc-tools (>= 1.8),
-               libglib2.0-dev (>= 2.35.1),
-               libgdk-pixbuf2.0-dev (>= 2.12.0),
+               libglib2.0-dev (>= 2.38.0),
+               libgdk-pixbuf-2.0-dev (>= 2.12.0),
                libgirepository1.0-dev (>= 1.30.0),
-               gobject-introspection (>= 1.30.0),
+               meson (>= 0.56.2),
                valac
 Standards-Version: 4.0.1
-Vcs-Git: https://salsa.debian.org/debian/libmediaart.git
-Vcs-Browser: https://salsa.debian.org/debian/libmediaart
+Vcs-Git: https://salsa.debian.org/gnome-team/libmediaart.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/libmediaart
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
 
 Package: libmediaart-2.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: media art extraction and cache management library
@@ -35,7 +36,7 @@
          gir1.2-mediaart-2.0 (= ${binary:Version}),
          ${misc:Depends},
          libglib2.0-dev,
-         libgdk-pixbuf2.0-dev
+         libgdk-pixbuf-2.0-dev
 Suggests: libmediaart-doc
 Description: media art extraction and cache management library - development files
  Libmediaart is a library tasked with managing, extracting and handling
@@ -45,6 +46,7 @@
 
 Package: libmediaart-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: media art extraction and cache management library - documentation
@@ -65,4 +67,3 @@
  media art caches.
  .
  This package contains introspection data for libmediaart.
-

## libmediaart 1.9.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,10 @@
 option('image_library', type: 'combo', choices: ['auto', 'gdk-pixbuf', 'qt4', 'qt5'],
        description: 'Which image processing backend to use')
+option('introspection', type : 'boolean', value : 'true',
+       description : 'Enable / disable the GObject-Introspection integration')
+option('vapi', type : 'boolean', value : 'true')
+option('tests', type : 'boolean', value : 'true',
+       description : 'Enable / disable unit tests')
 option('gtk_doc',
   type: 'boolean',
   value: 'false',

=== debian/changelog ===
libmediaart (1.9.6-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata

  [ Jeremy Bícha ]
  * Add ${gir:Depends} & ${gir:Provides} to -dev package
  * Enable all hardening flags
  * debian/libmediaart-2.0-0.symbols: Set Build-Depends-Package
  * Opt into dpkg build API v1
  * Opt into Salsa CI
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 13:28:28 -0500

libmediaart (1.9.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 02 Jun 2022 09:45:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libmediaart
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dpkg-build-api (= 1),
                gtk-doc-tools (>= 1.8),
                libglib2.0-dev (>= 2.38.0),
                libgdk-pixbuf-2.0-dev (>= 2.12.0),
                libgirepository1.0-dev (>= 1.30.0),
                meson (>= 0.56.2),
                valac
-Standards-Version: 4.0.1
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/gnome-team/libmediaart.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmediaart
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
@@ -34,9 +34,11 @@
 Section: libdevel
 Depends: libmediaart-2.0-0 (= ${binary:Version}),
          gir1.2-mediaart-2.0 (= ${binary:Version}),
+         ${gir:Depends},
          ${misc:Depends},
          libglib2.0-dev,
          libgdk-pixbuf-2.0-dev
+Provides: ${gir:Provides}
 Suggests: libmediaart-doc
 Description: media art extraction and cache management library - development files
  Libmediaart is a library tasked with managing, extracting and handling

## libmediaart 1.9.7

=== debian/changelog ===
libmediaart (1.9.7-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add missing gir1.2-*-dev Build-Depends as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control, d/rules: Don't require gtk-doc when not building -doc
    package
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 13:13:56 -0500

libmediaart (1.9.7-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 10:38:10 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,19 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-build-api (= 1),
-               gtk-doc-tools (>= 1.8),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.38.0),
                libgdk-pixbuf-2.0-dev (>= 2.12.0),
-               libgirepository1.0-dev (>= 1.30.0),
                meson (>= 0.56.2),
                valac
-Standards-Version: 4.7.0
+Build-Depends-Indep: gtk-doc-tools (>= 1.8) <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/libmediaart.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/libmediaart
 Homepage: https://wiki.gnome.org/MediaArtStorageSpec
@@ -47,6 +49,7 @@
  This package contains the development files.
 
 Package: libmediaart-doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dimage_library=gdk-pixbuf

=== debian/tests/control ===
Tests: libmediaart-2.0-dev
Restrictions: allow-stderr, superficial
Depends: build-essential, libmediaart-2.0-dev, pkg-config
